import Router from 'vue-router'
import Vue from 'vue'

Vue.use(Router)

let routes = []
const blackList = ['./index.js']   //不打包的路由文件

const files = require.context('.', true, /\.js$/)

files.keys().forEach(key => {
    if(blackList.indexOf(key) > -1) return
    routes = routes.concat(files(key).default)
})
const router = new Router({routes})

export default router