import {mapMutations, mapActions} from '../mapper'

const user = {
  namespaced: true, // 使命名空间也变成模块化，以 user/search 形式调用
  state: {
    
  },
  mutations: {
    ...mapMutations({
      search: 'list'
    })
  },
  actions: {
    ...mapActions('user', [
      'search',
      'get'
    ])
  }
}

export default user 